On Nov 29, 2010, at 8:12 AM, Bob Hutchison wrote:

> On 2010-11-27, at 1:02 PM, James Edward Gray II wrote:
>=20
>> On Nov 27, 2010, at 11:34 AM, Bob Hutchison wrote:
>>=20
>>> On 2010-11-27, at 7:48 AM, Urabe Shyouhei wrote:
>>>=20
>>>> Why don't you use require_relative which is a standard ruby =
feature?
>>>=20
>>> Is it?
>>=20
>> Yes.  It was added in Ruby 1.9.
>>=20
>>> And it isn't documented on ruby-doc.org, so...
>>=20
>> Here's the documentation from the Pickaxe:
>=20
> Thanks James. Is there online documentation for Ruby that's complete? =
I know, for a fact, that there's a bunch of experienced Ruby developers =
who've never heard of this particular method. And of course, I'm curious =
what else is in those extensions.

I don't know of a complete online source, no.  I still recommend keeping =
a copy of the Pickaxe handy for at least that reason.

James Edward Gray II=